# specifies the mission manager tick rate (and therefore the goal pub rate)
control_dt: 0.01

nominal_alt: 1.4        # nominal mission altitude, takeoff altitude

takeoff:
  vel: 0.35             # takeoff velocity

landing:
  fast_threshold: 0.4   # at what altitude to switch from fast to slow landing
  fast_dec: 0.0035      # fast land rate: dec / control_dt
  slow_dec: 0.001       # slow land rate: dec / control_dt

safety:
  max_accel_xy: 0.5     # maximum acceleration in the xy plane
  max_accel_z: 0.8      # maximum acceleration in z
  obstacle_stop:        # for stopping traj once obstacle detected
    tf: 3.0             # duration of stopping trajectory
    veh_radius: 0.90    # padding around vehicle/obstacle for corridor const.
    corridor_dt: 0.05   # time discretization step for checking corridor constraint
    autoreturn: false   # automatically reroute to starting dock on obstacle detection

traj:                   # n.b., fast/slow/transact are basically tuning
  fast:                 # knobs for trajectory design --- the resulting
    max_vel: 0.3        # trajectory will likely have vel/acc less than
    max_accel: 0.2      # these max values (used for initial timing allocation)
  slow:
    max_vel: 0.2
    max_accel: 0.1
  transact:
    max_vel: 0.1
    max_accel: 0.025
  err_radius: 0.5
  yaw:
    rate: 0.4
    init_err_thr: 0.01       # [rad] once yaw err is smaller than this, traj begins
    face_velocity: false     # should heading always align with motion?

transaction:
  max_vel: 0.05
  max_accel: 0.05
  gripper_wait_sec: 2
  x1: [1.50, 0.011, -0.019]
  x2: [0.70, 0.011, -0.019]
  x3: [0.398, 0.011, -0.019]
  dropoff_z_shift: 0.023
  rbm_update_period: 0.1 # [s] period of com update, slower than control_dt
  rbm_ramp_duration: 5 # [s] to ramp CoM shift over
  rbm_delta: [0.009, 0.0, 0.0] # change in CoM offset (rbM) w/ plate
  nest_yaw_offset: 0.0 # tweak the desired yaw to be lined up with the nest

# Scaling from joystick to velocity commands. Unlikely to need tuning.
joy:
  kx: 2.0
  ky: 2.0
  kz: 0.5
  kr: 2.0
